@ECHO OFF
REM $Revision: 13694 $ $Date$

SET CBPATH=C:\CB-5.0
SET CBHOST=localhost
SET CBPORT=8080

REM We need english messages (for example from svnlook)
SET LC_MESSAGES=en

REM "JAVA" must point to a java-1.4 executable.
SET JAVA=java
REM SET JAVA=C:\WINDOWS\system32\java

REM "SCM_DIR" must point to the directory that contains scmloop.jar!
SET SCM_DIR=%CBPATH%\repository\scmloop
SET CP=%SCM_DIR%;%SCM_DIR%/scmloop.jar;%SCM_DIR%/svnkit.jar;%SCM_DIR%/log4j.jar

REM "SCM_OPTIONS" are optional scmloop settings, and can be a combination of:
REM "-catch" 			: Do not abort commit if codebeamer is not available
REM "-host <hostname>"		: Hostname or ip-address of scm_host as used in codebeamer
REM "-projectname <name>"	: Name of target project in codebeamer
REM "-projectid <id>"   	: Id of target project in codebeamer
REM "-proj_id <id>"     	: Id of target project in codebeamer
REM "-proxyuser <username>"     : Username to authenticate at proxy server
REM "-proxypassword <password>" : Password to authenticate at proxy server
REM SET SCM_OPTIONS=-catch

REM "PROXY_OPTIONS" are optional HTTP Proxy settings
REM SET PROXY_OPTIONS=-Dhttp.proxyHost=<hostname> -Dhttp.proxyPort=<portno>

REM Variables for Subversion
SET SVN_DIR=%CBPATH%\libexec\svn
SET PATH=%SVN_DIR%\bin;%PATH%
SET APR_ICONV_PATH=%SVN_DIR%\iconv

"%JAVA%" -Xmx128M -cp "%CP%" %PROXY_OPTIONS% ^
	"-DCVS_USER=%CVS_USER%" ^
	"-DCVSROOT=%CVSROOT%" ^
	"-DSCM_DIR=%SCM_DIR%" ^
    com.intland.codebeamer.scm.chain.CommitClient ^
    -url "http://%CBHOST%:%CBPORT%/cb/sccCommitInfo" %SCM_OPTIONS% %*
